You are not logged in.

#1 2020-03-24 21:25:47

jjanderson5
Member
Registered: 2016-05-10
Posts: 88

[RESOLVED] installing hydorgen deuterium - backport error messages

When installing deuterium, I am using a source list file with the following contents:

deb http://deb.debian.org/debian stretch-backports/main contrib non-free

deb http://deb.debian.org/debian jessie main non-free contrib
#deb-src http://deb.debian.org/debian jessie main non-free contrib

deb http://security.debian.org/ jessie/updates main contrib non-free
#deb-src http://security.debian.org/ jessie/updates main contrib non-free

and when I run  "apt upgrade", it runs until it tries to read in backports. I get the following error messages:

Err http://deb.debian.org stretch-backports/main/contrib amd64 Packages                                
  404  Not Found [IP: 151.101.202.133 80]
Err http://deb.debian.org stretch-backports/main/non-free amd64 Packages                               
  404  Not Found [IP: 151.101.202.133 80]
Ign http://deb.debian.org stretch-backports/main/contrib Translation-en_US                             
Ign http://deb.debian.org stretch-backports/main/contrib Translation-en
...

I have been trying different variations and looking in the forums, but I have not found the correct entry for backports in sources.list.

Can someone point me in the right direction?

Jim A.

Last edited by jjanderson5 (2020-03-25 17:36:30)

Offline

#2 2020-03-24 22:05:47

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,677

Re: [RESOLVED] installing hydorgen deuterium - backport error messages

If you really want to get the stretch backports on a jessie system (which Deuterium is):

deb http://deb.debian.org/debian stretch-backports/main contrib non-free

should likely be

deb http://deb.debian.org/debian stretch-backports main contrib non-free

Wahllos schlägt das Schicksal zu / heute ich und morgen du.

Online

#3 2020-03-25 00:48:51

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 326

Re: [RESOLVED] installing hydorgen deuterium - backport error messages

Is not this a big misunderstanding? Realy have a base of deuterium/jessie? Outdated software since long ago and mix it with another version of debian?

What do you want to accomplish?

Last edited by rbh (2020-03-25 08:23:23)


// Regards rbh

Offline

#4 2020-03-25 16:48:36

jjanderson5
Member
Registered: 2016-05-10
Posts: 88

Re: [RESOLVED] installing hydorgen deuterium - backport error messages

@twoion

I appreciate your comment. It is a correction that I have made. I'm a bit closer, but will continue with a reply to 'rbh'.

Offline

#5 2020-03-25 17:36:07

jjanderson5
Member
Registered: 2016-05-10
Posts: 88

Re: [RESOLVED] installing hydorgen deuterium - backport error messages

@rbh

Is not this a big misunderstanding?

Yes, definitely.

First, I will admit that I am largely ignorant regarding what 'backport' means. I have been looking at the web and BL documentation the past few hours and I'm getting better, but I am still not totally clear on what a 'backport' is. I have updated my source.list file, replacing 'stretch' with 'jessie' so that I am no longer trying to cross into a different Debian release.

Second, yes it is an older release, but I have reasons looking back. It is a trade off for me, but one I am willing to make.

The good news:

With the suggested changes by you and twoion, 'apt-get upgrade' runs with no errors. I will close this thread. I am grateful for you help.

The bad news:

When I run 'apt-get update', I get a few error messages. I will open a new thread on that.

Regards,
Jim

Offline

Board footer

Powered by FluxBB